/* ====================================================================== */
/*                                                                        */
/*                                                                        */
/*  File Name:   ACTCP.H                                                  */
/*  Description: Include (header) file for ACTCP(32) library              */
/*  Platforms:   Windows 3.x (16-bit), Windows NT/95 (Win32)              */
/*  Modified:	 Jan 10, 1997                                             */
/*  Help File:   EziTCP.hlp                                               */
/*                                                                        */
/*                                                                        */
/* ====================================================================== */



#if ! defined(_ACTCPH_) /* avoid multiple includes */

#define _ACTCPH_

#if ! defined(_ACTCPH_P_)

#if defined(WIN32)
#define  STDCALL   __stdcall
#else
#define  STDCALL     _far _pascal _export
#endif

#endif

/*
Support both C and C++ source
*/

#if defined(__cplusplus)
extern "C" {
#endif

UINT STDCALL TCPAccept(const UINT nStream);

BOOL STDCALL TCPCancel(const UINT nStream);

BOOL STDCALL TCPClose(const UINT nStream);

UINT STDCALL TCPConnect(
	         const char FAR *p_ServerName,
    		 const char FAR *p_ServiceName);

BOOL STDCALL TCPGetClientInfo(
	         const UINT nStream,
			 char FAR *p_clientInfo,
			 const UINT nLen);

BOOL STDCALL TCPGetHostName(
			 char FAR *p_HostName, 
			 const UINT nLen);

UINT STDCALL TCPGetLastError(
	         char FAR *p_ErrorMessage,
			 const UINT nLen);

UINT STDCALL TCPGetSocket(const UINT nStream); 

BOOL STDCALL TCPHostName2IPNumber(
             const char FAR *p_HostName, 
	         char FAR *p_IPNumber,
			 const UINT nLen);

BOOL STDCALL TCPIPNumber2HostName(
	         const char FAR *p_IPNumber, 
	         char FAR *p_HostName,
			 const UINT nLen);

BOOL STDCALL TCPIPNumber2HostName(
	         const char FAR *p_IPNumber, 
	         char FAR *p_HostName,
			 const UINT nLen);

UINT  STDCALL TCPListen(
			 const char FAR *p_ServiceName,
			 const UINT nQueueSize, 
			 DWORD h_wnd); 

BOOL STDCALL TCPSetTrace(BOOL fTrace=FALSE);
	

UINT STDCALL TCPRead(
             const UINT m_nStream, 
	  		 char FAR *p_Data, 
			 const UINT m_nSize);

UINT STDCALL TCPWrite(
             const UINT m_nStream, 
  		     char FAR *p_Data, 
			 const UINT m_nSize);


#if defined(__cplusplus)
}
#endif


#endif // _ACTCPH_